## smarty3 3.1.13

=== development/Makefile ===
all: config-compiler template-compiler unit-test

config-compiler:
	cd lexer; php Create_Config_Parser.php

template-compiler:
	cd lexer; php Create_Template_Parser.php

unit-test:
	cd PHPunit; phpunit smartytests.php

## smarty3 3.0~rc1

=== debian/changelog ===
smarty3 (3.0~rc1-1) unstable; urgency=low

  * Initial release (Closes: #580754)

 -- Thierry Randrianiriana <thierry@debian.org>  Sat, 08 May 2010 14:36:04 +0300

=== debian/control ===
Source: smarty3
Section: web
Priority: optional
Maintainer: Thierry Randrianiriana <thierry@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: http://www.smarty.net/

Package: smarty3
Architecture: all
Depends: php5 | php5-cgi | php5-cli, ${misc:Depends}
Description: Template engine for PHP
 Smarty is a template engine for PHP. More specifically, it
 facilitates a manageable way to separate application logic and content
 from its presentation.
 .
 The Smarty 3 API has been refactored to a syntax geared for consistency 
 and modularity. The Smarty 2 API syntax is still supported, but will 
 throw a deprecation notice. You can disable the notices, but it is highly
 recommended to adjust your syntax to Smarty 3, as the Smarty 2 syntax 
 must run through an extra rerouting wrapper.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

clean:
	dh_testdir
	dh_testroot
	rm -f Makefile
	dh_clean

build:

install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp -r demo debian/smarty3/usr/share/doc/smarty3/
	cp -r libs/* debian/smarty3/usr/share/php/smarty3/ 

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_install
	dh_installexamples
	dh_lintian
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: install

binary: binary-indep binary-arch
.PHONY: clean binary-indep binary-arch binary install

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
#http://www.example.com/downloads.php smarty3-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/smarty3-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/smarty3-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/smarty3/smarty3-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html smarty3-(.*)\.tar\.gz

## smarty3 3.0.8

=== debian/changelog ===
smarty3 (3.0.8-1fakesync1) oneiric; urgency=low

  * Fake sync due to mismatching orig tarball (LP: #813838).

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 27 Jul 2011 10:58:37 -0500

smarty3 (3.0.8-1) unstable; urgency=low

  * New upstream release (Closes: #631619)
  * Bumped Standards-Version to 3.9.2
  * Updated licence to LGPL-3

 -- Thierry Randrianiriana <thierry@debian.org>  Wed, 20 Jul 2011 11:29:24 +0300

smarty3 (3.0~rc1-2) unstable; urgency=low

  * Bumped Standards-Version to 3.9.1
  * Removed debian/watch

 -- Thierry Randrianiriana <thierry@debian.org>  Tue, 21 Sep 2010 14:45:44 +0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: smarty3
 Section: web
 Priority: optional
-Maintainer: Thierry Randrianiriana <thierry@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thierry Randrianiriana <thierry@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://www.smarty.net/
 
 Package: smarty3

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export DH_VERBOSE=1
+#export DH_VERBOSE=1
 
 clean:
 	dh_testdir
@@ -35,7 +35,9 @@
 	dh_md5sums
 	dh_builddeb
 
-binary-arch: install
+
+build-arch: build
+build-indep: build
 
 binary: binary-indep binary-arch
 .PHONY: clean binary-indep binary-arch binary install

## smarty3 3.1.0

=== debian/changelog ===
smarty3 (3.1.0-1) experimental; urgency=low

  * New upstream release (rev. 4284)
  * Used the code source from subversion (Closes: #636148)
  * debian/copyright:
    + added LexerGenerator copyright
    + added ParserGenerator copyright
  * Fixed security holes:
    + multiple unspecified vulnerabilities (CVE-2009-5052, CVE-2009-5053, 
      CVE-2010-4722, CVE-2010-4724, CVE-2010-4726)
    + not consider the umask value when setting the permissions of files
      (CVE-2009-5054)
    + not prevent access to the dynamic and private object members of an 
      assigned object (CVE-2010-4723)
    + not properly handle an on value of the asp_tags option in the php.ini file
      (CVE-2010-4725)
    + not properly handle the <?php and ?> tags (CVE-2010-4727)

 -- Thierry Randrianiriana <thierry@debian.org>  Sat, 17 Sep 2011 21:22:11 +0300

=== debian/control ===
Source: smarty3
Section: web
Priority: optional
Maintainer: Thierry Randrianiriana <thierry@debian.org>
Build-Depends: debhelper (>= 7.0.50~), php5-cli
Standards-Version: 3.9.2
Homepage: http://www.smarty.net/

Package: smarty3
Architecture: all
Depends: php5 | php5-cgi | php5-cli, ${misc:Depends}
Description: Template engine for PHP
 Smarty is a template engine for PHP. More specifically, it
 facilitates a manageable way to separate application logic and content
 from its presentation.
 .
 Smarty 3.1 is a departure from 2.0 compatibility. Most notably, all
 backward compatibility has been moved to a separate class file named
 SmartyBC.class.php. If you require compatibility with 2.0, you will
 need to use this class.

## smarty3 3.1.10

=== debian/changelog ===
smarty3 (3.1.10-2) unstable; urgency=low

  * Fix CVE-2012-4437: Add patch 001_escape-smarty-exception-messages.patch.
    Closes: #688153.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 22 Sep 2012 21:32:58 +0200

smarty3 (3.1.10-1) unstable; urgency=low

  * New upstream release. Closes: #678095.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 19 Jun 2012 16:41:06 +0200

smarty3 (3.1.8-2) unstable; urgency=low

  * Package smarty3 provides smarty (closes: #657536).
  * Make /debian/copyright machine parsable, explicitly names files that
    have dissenting licenses, license /debian folder under GPLv2+.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 17 May 2012 00:32:29 +0200

smarty3 (3.1.8-1) experimental; urgency=low

  * New upstream release (rev. 4611).
  * New package maintainer (closes: #668200).
  * Add watch file (closes: #657385).
  * Add Vcs-* lines to control file.
  * Add README.source that explains how we obtain code from
    upstream SVN. Make sure all upstream source files are
    shipped with the Debian source package (closes: #636148).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 10 May 2012 10:44:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,22 @@
 Source: smarty3
 Section: web
 Priority: optional
-Maintainer: Thierry Randrianiriana <thierry@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), php5-cli
-Standards-Version: 3.9.2
+Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
+Build-Depends: 
+ debhelper (>= 7.0.50~),
+ php5-cli
+Standards-Version: 3.9.3
+Vcs-Git: git://git.debian.org/git/collab-maint/smarty3.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/smarty3.git;a=summary
 Homepage: http://www.smarty.net/
 
 Package: smarty3
 Architecture: all
-Depends: php5 | php5-cgi | php5-cli, ${misc:Depends}
+Depends:
+ php5 | php5-cgi | php5-cli,
+ ${misc:Depends}
+Provides:
+ smarty
 Description: Template engine for PHP
  Smarty is a template engine for PHP. More specifically, it
  facilitates a manageable way to separate application logic and content

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

clean:
	dh_testdir
	dh_testroot
	dh_clean

build:

install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	make -C development config-compiler
	make -C development template-compiler
	mkdir -p debian/smarty3/usr/share/doc/smarty3/
	mkdir -p debian/smarty3/usr/share/php/smarty3/
	cp -r distribution/demo debian/smarty3/usr/share/doc/smarty3/
	cp -r distribution/libs/* debian/smarty3/usr/share/php/smarty3/ 

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs distribution/change_log.txt
	dh_install
	dh_installexamples
	dh_lintian
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

build-arch: build
build-indep: build

binary: binary-indep binary-arch
.PHONY: clean binary-indep binary-arch binary install

## smarty3 3.1.13

=== debian/changelog ===
smarty3 (3.1.13-1) unstable; urgency=low

  * New upstream release.
  * /debian/control:
    + Use my DD address in Maintainer: field.
    + Bump Standards: to 3.9.4. No changes needed.
  * /debian/patches:
    + Drop patch: 001_escape-smarty-exception-messages.patch, included in new
      upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 May 2013 10:19:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: smarty3
 Section: web
 Priority: optional
-Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
+Maintainer: Mike Gabriel <sunweaver@debian.org>
 Build-Depends: 
  debhelper (>= 7.0.50~),
  php5-cli
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/collab-maint/smarty3.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/smarty3.git;a=summary
 Homepage: http://www.smarty.net/

=== debian/watch ===
version=3
http://www.smarty.net/download /files/Smarty-([\d].+)\.zip

## smarty3 3.1.19

=== debian/changelog ===
smarty3 (3.1.19-1) unstable; urgency=medium

  * New upstream release.
    + Obtain upstream sources as zip files from upstream. Stop checking out
      SVN tags. This change drops three embedded PHP libraries and files with
      problematic PHP licenses. (Closes: #752614).
  * debian/control:
    + Alioth-canonicalize Vcs-Git field.
    + Bump Standards: to 3.9.5. No changes needed.
  * lintian:
    + Drop unused override: embedded-php-library.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Aug 2014 21:32:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Mike Gabriel <sunweaver@debian.org>
 Build-Depends: 
  debhelper (>= 7.0.50~),
- php5-cli
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/collab-maint/smarty3.git
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/collab-maint/smarty3.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/smarty3.git;a=summary
 Homepage: http://www.smarty.net/

## smarty3 3.1.21

=== debian/changelog ===
smarty3 (3.1.21-1ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1565154).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 01 Apr 2016 17:10:04 -0700

smarty3 (3.1.21-1) unstable; urgency=medium

  * New upstream release. (Closes: #765920).
  * debian/smarty3-lexer:
    + Add 4 files from smarty3 SVN that are used to generate some PHP
      files in the upstream tarball. See README.lexer for details.
      (Closes: #636148).
  * debian/copyright:
    + Add copyright information for debian/smarty3-lexer/*.
    + Fix upstream license (LGPL-3 -> LGPL-3+) after reading the upstream-
      shipped COPYING.lib file more thoroughly.
    + Relicense debian/* under same license as upstream sources (LGPL-3+).
  * debian/control:
    + Bump Standards: to 3.9.6. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 19 Oct 2014 23:45:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: smarty3
 Section: web
 Priority: optional
-Maintainer: Mike Gabriel <sunweaver@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mike Gabriel <sunweaver@debian.org>
 Build-Depends: 
  debhelper (>= 7.0.50~),
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/smarty3.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/smarty3.git;a=summary
 Homepage: http://www.smarty.net/
@@ -12,7 +13,7 @@
 Package: smarty3
 Architecture: all
 Depends:
- php5 | php5-cgi | php5-cli,
+ php | php-cgi | php-cli,
  ${misc:Depends}
 Provides:
  smarty

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

clean:
	dh_testdir
	dh_testroot
	dh_clean

build:

install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	mkdir -p debian/smarty3/usr/share/doc/smarty3/
	mkdir -p debian/smarty3/usr/share/php/smarty3/
	cp -r demo debian/smarty3/usr/share/doc/smarty3/
	cp -r libs/* debian/smarty3/usr/share/php/smarty3/ 

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs change_log.txt
	dh_install
	dh_installexamples
	dh_lintian
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

build-arch: build
build-indep: build

binary: binary-indep binary-arch

PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
DTYPE =
VER  ?= $(subst $(DTYPE),,$(UVER))

get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz: $(info I: $(PKG)_$(VER)$(DTYPE))
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --destdir ../ --download-version $(VER) $(PKD)

.PHONY: clean binary-indep binary-arch binary install get-orig-source

## smarty3 3.1.29

=== debian/changelog ===
smarty3 (3.1.29-2) unstable; urgency=medium

  * Re-upload unchanged to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 07 Oct 2016 14:03:44 +0200

smarty3 (3.1.29-1) experimental; urgency=medium

  * New upstream release. (Closes: #825250).
  * debian/smarty3-lexer:
    + Remove shipped-with .plex and .y files for template and configfile
      parser/lexer. This version uses smarty-lexer src:package at build
      time instead.
  * debian/control:
    + Add B-D pkg-php-tools (for dh_phpcomposer)
    + Versioned B-D: debhelper (>= 9).
    + Use encrypted URLs for Vcs-*: field.
    + Bump Standards: to 3.9.8. No changes needed.
  * debian/{control,rules}:
    + Create internal lexer and parser PHP code at package build time (using
      B-D smarty-lexer). (Closes: #765730). This also solves issues in Debian
      package smarty3 3.1.21-1 caused by lexer/parser PHP files using the old
      trigger_error class API of Smarty.class.php. (Closes: #799282).
  * debian/smarty3.{install,docs}:
    + Use debhelper for installing bin:package files.
  * debian/compat:
    + Bump to DH version level 9.
  * debian/watch:
    + Upstream location has changed, now on Github.
  * debian/rules:
    + Use pure debhelper, with phpcomposer.
    + Make package build idempotent.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 May 2016 14:03:16 +0200

smarty3 (3.1.21-1.1) unstable; urgency=medium

  * Non-maintainer upload in coordination with the maintainer.
  * Update depends and README.Debian for the php 7.0 transition. Thanks to
    Wolfgang Schweer for the patch! (Closes: #821660)

 -- Holger Levsen <holger@debian.org>  Mon, 23 May 2016 11:32:02 +0200

=== debian/control ===
Source: smarty3
Section: web
Priority: optional
Maintainer: Mike Gabriel <sunweaver@debian.org>
Build-Depends: 
 debhelper (>= 9),
 pkg-php-tools (>= 1.7~),
 smarty-lexer (>= 3.1.28+dfsg1-1~),
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/smarty3.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/smarty3.git
Homepage: http://www.smarty.net/

Package: smarty3
Architecture: all
Depends:
 php | php-cgi | php-cli,
 ${misc:Depends},
 ${phpcomposer:Debian-require},
Provides:
 ${phpcomposer:Debian-provide},
Suggests:
 ${phpcomposer:Debian-suggest},
Conflicts:
 ${phpcomposer:Debian-conflict},
Description: ${phpcomposer:description}
 Smarty is a template engine for PHP. More specifically, it
 facilitates a manageable way to separate application logic and content
 from its presentation.
 .
 Smarty 3.1 is a departure from 2.0 compatibility. Most notably, all
 backward compatibility has been moved to a separate class file named
 SmartyBC.class.php. If you require compatibility with 2.0, you will
 need to use this class.

## smarty3 3.1.30

=== debian/changelog ===
smarty3 (3.1.30-1) unstable; urgency=medium

  * Upload to unstable.
  * Update versioned B-D:
    + smarty-lexert (>= 3.1.30+dfsg1-1~).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 25 Nov 2016 19:52:30 +0100

smarty3 (3.1.30-1~exp1) experimental; urgency=medium

  * New upstream release. Upload to experimental for testing with
    GOsa, FusionDirectory and other web portals that depend on Smarty3.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 20 Oct 2016 14:00:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: 
  debhelper (>= 9),
  pkg-php-tools (>= 1.7~),
- smarty-lexer (>= 3.1.28+dfsg1-1~),
+ smarty-lexer (>= 3.1.30+dfsg1-1~),
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/smarty3.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/smarty3.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	if [ ! -e libs/sysplugins/smarty_internal_configfilelexer.php.orig ]; then \
	    cp libs/sysplugins/smarty_internal_configfilelexer.php libs/sysplugins/smarty_internal_configfilelexer.php.orig; \
	fi
	if [ ! -e libs/sysplugins/smarty_internal_configfileparser.php.orig ]; then \
	    cp libs/sysplugins/smarty_internal_configfileparser.php libs/sysplugins/smarty_internal_configfileparser.php.orig; \
	fi
	php /usr/share/php/smarty-lexer/Create_Config_Parser.php

	if [ ! -e libs/sysplugins/smarty_internal_templatelexer.php.orig ]; then \
	    cp libs/sysplugins/smarty_internal_templatelexer.php libs/sysplugins/smarty_internal_templatelexer.php.orig; \
	fi
	if [ ! -e libs/sysplugins/smarty_internal_templateparser.php.orig ]; then \
	    cp libs/sysplugins/smarty_internal_templateparser.php libs/sysplugins/smarty_internal_templateparser.php.orig; \
	fi
	php /usr/share/php/smarty-lexer/Create_Template_Parser.php

	dh_auto_build

override_dh_auto_clean:
	if [ -e libs/sysplugins/smarty_internal_configfilelexer.php.orig ]; then \
	    mv libs/sysplugins/smarty_internal_configfilelexer.php.orig libs/sysplugins/smarty_internal_configfilelexer.php; \
	fi
	if [ -e libs/sysplugins/smarty_internal_configfileparser.php.orig ]; then \
	    mv libs/sysplugins/smarty_internal_configfileparser.php.orig libs/sysplugins/smarty_internal_configfileparser.php; \
	fi

	if [ -e libs/sysplugins/smarty_internal_templatelexer.php.orig ]; then \
	    mv libs/sysplugins/smarty_internal_templatelexer.php.orig libs/sysplugins/smarty_internal_templatelexer.php; \
	fi
	if [ -e libs/sysplugins/smarty_internal_templateparser.php.orig ]; then \
	    mv libs/sysplugins/smarty_internal_templateparser.php.orig libs/sysplugins/smarty_internal_templateparser.php; \
	fi

	rm -f lexer/smarty_internal_configfilelexer.php
	rm -f lexer/smarty_internal_configfileparser.out
	rm -f lexer/smarty_internal_configfileparser.php
	rm -f lexer/smarty_internal_templatelexer.php
	rm -f lexer/smarty_internal_templateparser.out
	rm -f lexer/smarty_internal_templateparser.php

override_dh_install:
	dh_install
	rm -f debian/smarty3/usr/share/php/smarty3/sysplugins/*.php.bak
	rm -f debian/smarty3/usr/share/php/smarty3/sysplugins/*.php.bak
	rm -f debian/smarty3/usr/share/php/smarty3/sysplugins/*.php.orig
	rm -f debian/smarty3/usr/share/php/smarty3/sysplugins/*.php.orig

override_dh_installchangelogs:
	dh_installchangelogs change_log.txt

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## smarty3 3.1.31+20161214.1.c7d42e4+selfpack1

=== debian/changelog ===
smarty3 (3.1.31+20161214.1.c7d42e4+selfpack1-3ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: path traversal in Smarty templates
    - debian/patches/CVE-2018-13982-1.patch: perform validation over
      directory provided in libs/Smarty.class.php and
      libs/sysplugins/smarty_security.php
    - debian/patches/CVE-2018-13982-2.patch: reformat code of
      previous patch and add additional checks.
    - debian/patches/CVE-2018-13982-3.patch: alter regex validation
      of previous patches and update logic flow.
    - CVE-2018-13982
    - CVE-2018-16831
  * SECURITY UPDATE: execution of restricted php methods
    - debian/patches/CVE-2021-21408.patch: Prevent evasion of the
      static_classes security policy in
      lexer/smarty_internal_templateparser.y and
      libs/sysplugins/smarty_internal_templateparser.php.
    - CVE-2021-21408
  * SECURITY UPDATE: sandbox escape by accessing public object
    - debian/patches/CVE-2021-26119.patch: Prevent access to
      $smarty.template_object in sandbox mode in
      libs/sysplugins/
      smarty_internal_compile_private_special_variable.php.
    - CVE-2021-26119
  * SECURITY UPDATE: code injection through function name
    - debian/patches/CVE-2021-26120.patch: perform validation over
      the function name supplied in
      libs/sysplugins/smarty_internal_compile_function.php.
    - CVE-2021-26120
  * SECURITY UPDATE: code injection through math function
    - debian/patches/CVE-2021-29454.patch: verify if the input to
      the math function is a mathematical expression in
      libs/plugins/function.math.php.
    - CVE-2021-29454

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Mon, 21 Mar 2022 12:21:04 +0100

smarty3 (3.1.31+20161214.1.c7d42e4+selfpack1-3) unstable; urgency=medium

  * debian/patches:
    + Add 0001_CVE-2017-1000480.patch. Fixes CVE-2017-1000480. (Closes:
      #886460).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 14 Jan 2018 11:13:16 +0100

smarty3 (3.1.31+20161214.1.c7d42e4+selfpack1-2) unstable; urgency=medium

  * Re-upload to Debian unstable to enforce package rebuild (as we don't
    have binNMUs for arch:all packages).

  * debian/control:
    + Update versioned B-D on smarty-lexer (>=  3.1.30+dfsg1-1.1~).
      This is to assure correct lexer/parser generation which was broken by
      smarty-lexer 3.1.30+dfsg1-1. See Debian bug #847571 for further
      reference.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Mar 2017 10:13:01 +0100

smarty3 (3.1.31+20161214.1.c7d42e4+selfpack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Self-pack orig tarball from Git commit, due to broken upstream
      tarball generation on Github. For details see:
      https://github.com/smarty-php/smarty/issues/325
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 24 Jan 2017 21:17:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: smarty3
 Section: web
 Priority: optional
-Maintainer: Mike Gabriel <sunweaver@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mike Gabriel <sunweaver@debian.org>
+Uploaders:
+ Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>,
 Build-Depends: 
  debhelper (>= 9),
  pkg-php-tools (>= 1.7~),
- smarty-lexer (>= 3.1.30+dfsg1-1~),
+ smarty-lexer (>= 3.1.30+dfsg1-1.1~),
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/smarty3.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/smarty3.git

=== debian/rules ===
--- 
+++ 
@@ -57,5 +57,39 @@
 override_dh_installchangelogs:
 	dh_installchangelogs change_log.txt
 
-get-orig-source:
-	uscan --noconf --force-download --rename --download-current-version --destdir=..
+PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
+PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
+UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
+DTYPE = +selfpack1
+VER  ?= $(subst $(DTYPE),,$(UVER))
+
+UURL = git://github.com/smarty-php/smarty.git
+UREV = $(shell echo $(VER) | cut -d"." -f5)
+
+## http://wiki.debian.org/onlyjob/get-orig-source
+.PHONY: get-orig-source
+get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
+	@
+
+$(PKG)_$(VER)$(DTYPE).orig.tar.xz: $(info I: GIT Revision=$(UREV))
+	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
+	@echo "# Downloading..."
+	git clone $(UURL) $(PKG)-$(VER) \
+	    || $(RM) -r $(PKG)-$(VER)
+	cd $(PKG)-$(VER) \
+	    && git checkout "$(UREV)" \
+	&& echo "# Setting times..." \
+	&& for F in $$(git ls-tree -r --name-only HEAD); do touch --no-dereference -d "$$(git log -1 --format="%ai" -- $$F)" "$$F"; done \
+	&& echo "# Cleaning-up..." \
+	&& rm -rf \
+	    .travis.yml		\
+	    travis.ini		\
+	&& $(RM) -r .git .git*
+	@echo "# Packing..."
+	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
+	    | XZ_OPT="-6v" tar -caf "../$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
+	    && $(RM) -r "$(PKG)-$(VER)"
+
+### Github provides broken tarballs for 3.1.31, see https://github.com/smarty-php/smarty/issues/325
+#get-orig-source:
+#	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/smarty-$1.tar.gz/ \
https://github.com/smarty-php/smarty/tags .*/archive/v?([\d\.]+).tar.gz

## smarty3 3.1.32+20180424.1.ac9d4b58+selfpack1

=== debian/changelog ===
smarty3 (3.1.32+20180424.1.ac9d4b58+selfpack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/*: White-space clean-up at EOL.
  * debian/patches:
    + Drop 0001_CVE-2017-1000480.patch. Applied upstream.
  * debian/rules:
    + Avoid using dpkg-parsechangelog.
  * debian/copyright:
    + Update copyright attributions.
    + Use secure URI to obtain copyright references.
    + Add global Comment: field. Explain about brokenness of upstream tarballs.
  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to
      salsa.debian.org.
    + Bump Standards-Version: to 4.1.4. No changes needed.
  * debian/{control,compat}:
    + Bump DH version level to 11.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 27 May 2018 23:21:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: smarty3
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mike Gabriel <sunweaver@debian.org>
+Maintainer: Mike Gabriel <sunweaver@debian.org>
 Uploaders:
  Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>,
-Build-Depends: 
- debhelper (>= 9),
+Build-Depends:
+ debhelper (>= 11~),
  pkg-php-tools (>= 1.7~),
  smarty-lexer (>= 3.1.30+dfsg1-1.1~),
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/smarty3.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/smarty3.git
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/debian/smarty3.git
+Vcs-Browser: https://salsa.debian.org/debian/smarty3
 Homepage: http://www.smarty.net/
 
 Package: smarty3

## smarty3 3.1.33+20180830.1.3a78a21f+selfpack1

=== debian/changelog ===
smarty3 (3.1.33+20180830.1.3a78a21f+selfpack1-1+deb10u1) buster-security; urgency=high

  * Non-maintainer upload.
  * Fix the following CVE:
    - CVE-2021-21408: template authors could run restricted static php methods
    - CVE-2021-29454: template authors could run arbitrary PHP code by crafting
                      a malicious math string
    - CVE-2022-29221: template authors could inject php code by choosing a
                      malicious {block} name or {include} file name
    - CVE-2021-26119: Sandbox Escape because $smarty.template_object can be
                      accessed in sandbox mode
    - CVE-2021-26120: code injection via an unexpected function name

 -- Markus Koschany <apo@debian.org>  Sun, 29 May 2022 13:13:32 +0200

smarty3 (3.1.33+20180830.1.3a78a21f+selfpack1-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2018-16831: Don't bypass trusted directories with "../". (Closes:
      #908698).
  * debian/control:
    + Bump Standards-Version: to 4.2.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 17 Sep 2018 13:04:18 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper (>= 11~),
  pkg-php-tools (>= 1.7~),
  smarty-lexer (>= 3.1.30+dfsg1-1.1~),
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/debian/smarty3.git
 Vcs-Browser: https://salsa.debian.org/debian/smarty3
 Homepage: http://www.smarty.net/

## smarty3 3.1.34+20190228.1.c9f0de05+selfpack1

=== debian/changelog ===
smarty3 (3.1.34+20190228.1.c9f0de05+selfpack1-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Cross site scripting vulnerability
    - debian/patches/CVE-2018-25047.patch: Applied appropriate
      javascript and html escaping in mailto plugin to counter injection
      attacks.
    - debian/patches/CVE-2023-28447.patch: Implement fix and tests
    - debian/patches/CVE-2024-35226.patch: Fixed a code injection
      vulnerability in extends-tag.
    - CVE-2018-25047
    - CVE-2023-28447
    - CVE-2024-35226

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Mon, 02 Dec 2024 18:12:01 -0300

smarty3 (3.1.34+20190228.1.c9f0de05+selfpack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH comat level to version 12.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 18 Nov 2019 10:49:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: smarty3
 Section: web
 Priority: optional
-Maintainer: Mike Gabriel <sunweaver@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mike Gabriel <sunweaver@debian.org>
 Uploaders:
  Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  pkg-php-tools (>= 1.7~),
  smarty-lexer (>= 3.1.30+dfsg1-1.1~),
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/smarty3.git
 Vcs-Browser: https://salsa.debian.org/debian/smarty3
 Homepage: http://www.smarty.net/

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # -*- makefile -*-
 
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/pkg-info.mk
 
 %:
 	dh $@ --with phpcomposer
@@ -58,8 +60,8 @@
 	dh_installchangelogs change_log.txt
 
 PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
-PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
-UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
+PKG   = $(DEB_SOURCE)
+UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
 DTYPE = +selfpack1
 VER  ?= $(subst $(DTYPE),,$(UVER))

## smarty3 3.1.36

=== debian/changelog ===
smarty3 (3.1.36-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Stop creating Git snapshots, use upstream orig tarballs (generated from
      Github tags) instead.
    + Upstream changelog has been renamed to CHANGELOG.md.
  * debian/copyright:
    + Update copyright attributions.
    + Drop global Comment: field. No tarball repacking anymore.
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.
    + Bump DH compat level to version 13.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Dec 2020 09:33:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: smarty3
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mike Gabriel <sunweaver@debian.org>
+Maintainer: Mike Gabriel <sunweaver@debian.org>
 Uploaders:
  Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  pkg-php-tools (>= 1.7~),
  smarty-lexer (>= 3.1.30+dfsg1-1.1~),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/smarty3.git
 Vcs-Browser: https://salsa.debian.org/debian/smarty3

## smarty3 3.1.38

=== debian/changelog ===
smarty3 (3.1.38-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_bring-lexer-source-functionally-up-to-date.patch. Applied
      upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 18 Jan 2021 17:20:40 +0100

smarty3 (3.1.36-2) unstable; urgency=medium

  * debian/control:
    + Update versioned B-D on smarty-lexer to (>= 3.1.32+dfsg1-3~).
  * debian/patches:
    + Add 0001_bring-lexer-source-functionally-up-to-date.patch. Bring
      lexer source functionally up-to-date with (manually edited) compiled
      version. (Closes: #977604).
  * debian/watch:
    + Switch to format version 4.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Dec 2020 14:53:44 +0000

## smarty3 3.1.39

=== debian/changelog ===
smarty3 (3.1.39-2ubuntu1.22.04.2) jammy-security; urgency=medium

  * SECURITY UPDATE: Cross site scripting vulnerability
    - debian/patches/CVE-2018-25047.patch: Applied appropriate
      javascript and html escaping in mailto plugin to counter injection
      attacks.
    - debian/patches/CVE-2023-28447.patch: Implement fix and tests
    - debian/patches/CVE-2024-35226.patch: Fixed a code injection
      vulnerability in extends-tag.
    - CVE-2018-25047
    - CVE-2023-28447
    - CVE-2024-35226

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Fri, 29 Nov 2024 10:49:51 -0300

smarty3 (3.1.39-2ubuntu1.22.04.1) jammy-security; urgency=medium

  * SECURITY UPDATE: PHP code injection by malicious block or filename
    - debian/patches/CVE-2022-29221.patch: Prevents a PHP code injection by
      defining a new escaping function in
      libs/sysplugins/smarty_internal_templatecompilerbase.php and using it in
      multiple files: libs/sysplugins/smarty_internal_compile_block.php,
      libs/sysplugins/smarty_internal_compile_function.php,
      libs/sysplugins/smarty_internal_compile_include.php,
      libs/sysplugins/smarty_internal_config_file_compiler.php,
      libs/sysplugins/smarty_internal_runtime_codeframe.php, and
      libs/sysplugins/smarty_internal_templatecompilerbase.php.
    - CVE-2022-29221

 -- George-Andrei Iosif <andrei.iosif@canonical.com>  Mon, 10 Apr 2023 17:18:37 +0300

smarty3 (3.1.39-2ubuntu1) jammy; urgency=medium

  * SECURITY UPDATE: execution of restricted php methods
    - debian/patches/CVE-2021-21408.patch: Prevent evasion of the
      static_classes security policy in
      lexer/smarty_internal_templateparser.y and
      libs/sysplugins/smarty_internal_templateparser.php.
    - CVE-2021-21408
  * SECURITY UPDATE: code injection through math function
    - debian/patches/CVE-2021-29454-1.patch: verify if the input to
      the math function is a mathematical expression in
      libs/plugins/function.math.php.
    - debian/patches/CVE-2021-29454-2.patch: fix to support multiple
      operators in math equations in
      libs/plugins/function.math.php.
    - debian/patches/CVE-2021-29454-3.patch: fix to allow multiple 
      parameters in mathematical functions in
      libs/plugins/function.math.php.
    - CVE-2021-29454
  * Fix for compatibility with php 8.1.
    - debian/patches/php8-1compatibility.patch

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Wed, 23 Mar 2022 16:00:18 +0100

smarty3 (3.1.39-2) unstable; urgency=medium

  * debian/watch:
    + Fix Github watch URL.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Apr 2021 14:40:03 +0200

smarty3 (3.1.39-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 23 Feb 2021 11:41:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: smarty3
 Section: web
 Priority: optional
-Maintainer: Mike Gabriel <sunweaver@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mike Gabriel <sunweaver@debian.org>
 Uploaders:
  Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  pkg-php-tools (>= 1.7~),
- smarty-lexer (>= 3.1.30+dfsg1-1.1~),
+ smarty-lexer (>= 3.1.32+dfsg1-3~),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/smarty3.git

## smarty3 3.1.45

=== debian/changelog ===
smarty3 (3.1.45-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2021-21408: Prevent template authors from running restricted static
      php methods. (see smarty4 bug #1010375).
    - CVE-2021-29454: Prevent template authors from running arbitrary PHP code
      by crafting a malicious math string. (see smarty4 bug #1010375, as well).
    - CVE-2022-29221: Prevent template authors from injecting PHP code by
      choosing malicious filenames. (Closes: #1011758).
  * debian/watch:
    + Only watch 3.x versions of Smarty.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 May 2022 08:24:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: smarty3
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mike Gabriel <sunweaver@debian.org>
+Maintainer: Mike Gabriel <sunweaver@debian.org>
 Uploaders:
  Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  pkg-php-tools (>= 1.7~),
  smarty-lexer (>= 3.1.32+dfsg1-3~),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/smarty3.git
 Vcs-Browser: https://salsa.debian.org/debian/smarty3

## smarty3 3.1.47

=== debian/changelog ===
smarty3 (3.1.47-2+deb12u1) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2023-28447 - JavaScript injection (Closes: #1033964)
  * CVE-2024-35226 - PHP Code injection by untrusted template authors
    (Closes: #1072530)
  * Add simple autopkgtests for the three CVEs.

 -- Tobias Frost <tobi@debian.org>  Fri, 06 Dec 2024 14:39:32 +0100

smarty3 (3.1.47-2) unstable; urgency=medium

  * debian/control:
    + Bump versioned B-D on smarty-lexer to (>= 3.1.32+dfsg1-5~).
  * debian/rules:
    + Re-enable configfile/template parser/lexer generation. (Closes: #1022737).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 25 Oct 2022 07:42:53 +0200

smarty3 (3.1.47-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2018-25047: Prohibit XSS in libs/plugins/function.mailto.php.
      (Closes: #1019897).
  * debian/rules:
    + Disable configparser and templateparser creation temporarily. Use
      the files generated/provided by upstream for now.(Closes: #1021571).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 24 Oct 2022 20:52:45 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  pkg-php-tools (>= 1.7~),
- smarty-lexer (>= 3.1.32+dfsg1-3~),
+ smarty-lexer (>= 3.1.32+dfsg1-5~),
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/smarty3.git

=== debian/tests/control ===
# quick test against some CVEs, marked as supeficial as they only test this aspect.
Tests: CVE-2018-25047, CVE-2023-28447, CVE-2024-35226
Depends: smarty3
Restrictions: superficial

## smarty3 3.1.48

=== debian/changelog ===
smarty3 (3.1.48-2) unstable; urgency=medium

  [ Tobias Frost ]
  * Team upload.
  * CVE-2024-35226 - PHP Code injection by untrusted template authors 
   (Closes: #1072530)
  * Add simple testsuite to check against some CVEs.
 
  [ Debian Janitor ]
  * Set upstream metadata fields: Security-Contact.
  * Remove unnecessary get-orig-source-target.

 -- Tobias Frost <tobi@debian.org>  Sun, 17 Nov 2024 11:03:04 +0100

smarty3 (3.1.48-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2023-28447: Fix cross site scripting vulnerability in Javascript
      escaping.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 15 Jun 2023 16:10:44 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 13),
  pkg-php-tools (>= 1.7~),
  smarty-lexer (>= 3.1.32+dfsg1-5~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/smarty3.git
 Vcs-Browser: https://salsa.debian.org/debian/smarty3

=== debian/rules ===
--- 
+++ 
@@ -57,41 +57,4 @@
 	rm -f debian/smarty3/usr/share/php/smarty3/sysplugins/*.php.orig
 
 override_dh_installchangelogs:
-	dh_installchangelogs change_log.txt
-
-PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
-PKG   = $(DEB_SOURCE)
-UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
-DTYPE = +selfpack1
-VER  ?= $(subst $(DTYPE),,$(UVER))
-
-UURL = git://github.com/smarty-php/smarty.git
-UREV = $(shell echo $(VER) | cut -d"." -f5)
-
-## http://wiki.debian.org/onlyjob/get-orig-source
-.PHONY: get-orig-source
-get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
-	@
-
-$(PKG)_$(VER)$(DTYPE).orig.tar.xz: $(info I: GIT Revision=$(UREV))
-	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
-	@echo "# Downloading..."
-	git clone $(UURL) $(PKG)-$(VER) \
-	    || $(RM) -r $(PKG)-$(VER)
-	cd $(PKG)-$(VER) \
-	    && git checkout "$(UREV)" \
-	&& echo "# Setting times..." \
-	&& for F in $$(git ls-tree -r --name-only HEAD); do touch --no-dereference -d "$$(git log -1 --format="%ai" -- $$F)" "$$F"; done \
-	&& echo "# Cleaning-up..." \
-	&& rm -rf \
-	    .travis.yml		\
-	    travis.ini		\
-	&& $(RM) -r .git .git*
-	@echo "# Packing..."
-	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
-	    | XZ_OPT="-6v" tar -caf "../$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
-	    && $(RM) -r "$(PKG)-$(VER)"
-
-### Github provides broken tarballs for 3.1.31, see https://github.com/smarty-php/smarty/issues/325
-#get-orig-source:
-#	uscan --noconf --force-download --rename --download-current-version --destdir=..
+	dh_installchangelogs CHANGELOG.md
